Bug 471584 - Exception thrown when --require-encryption option is used
Exception thrown when --require-encryption option is used
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 09:13 EST by Ted Ross
Modified: 2009-02-04 10:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:37:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2008-11-14 09:13:46 EST
When --require-encryption is selected, the broker throws (and catches) the following exception.

$ src/qpidd --require-encryption
2008-nov-14 09:05:17 error Could not send client known broker urls for cluster: No such transport: 'tcp' (qpid/broker/Broker.cpp:385)

It appears that known-brokers only includes those using the TCP transport.
Comment 1 Alan Conway 2008-11-14 09:49:35 EST
correct. we need to update the URL format to allow other transports to be included. See qpid::Url.h & qpid::Url.cpp
Comment 2 Gordon Sim 2008-11-14 13:57:19 EST
Checked in a change (r714099) that avoids having the exception logged as it is
distracting. Support for other URL types is covered by separate BZ:
https://bugzilla.redhat.com/show_bug.cgi?id=471632.
Comment 4 David Sommerseth 2008-12-17 09:02:46 EST
Verified as the described exception do not appear.  Tested against qpidd-0.4.725652-2.el5 and qpidd-ssl-0.4.725652-2.el5
Comment 6 errata-xmlrpc 2009-02-04 10:37:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.